Regenerate configure script to include check for portaudio.
[asterisk/asterisk.git] / configure
index 56d977f..c1040af 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 93898 .
+# From configure.ac Revision: 95383 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for asterisk 1.4.
 #
@@ -816,14 +816,18 @@ OSS_LIB
 OSS_INCLUDE
 OSS_DIR
 PBX_OSS
-POPT_LIB
-POPT_INCLUDE
-POPT_DIR
-PBX_POPT
 PGSQL_LIB
 PGSQL_INCLUDE
 PGSQL_DIR
 PBX_PGSQL
+POPT_LIB
+POPT_INCLUDE
+POPT_DIR
+PBX_POPT
+PORTAUDIO_LIB
+PORTAUDIO_INCLUDE
+PORTAUDIO_DIR
+PBX_PORTAUDIO
 PRI_LIB
 PRI_INCLUDE
 PRI_DIR
@@ -1579,8 +1583,9 @@ Optional Packages:
   --with-ogg=PATH         use OGG files in PATH
   --with-osptk=PATH       use OSP Toolkit files in PATH
   --with-oss=PATH         use Open Sound System files in PATH
-  --with-popt=PATH        use popt files in PATH
   --with-postgres=PATH    use PostgreSQL files in PATH
+  --with-popt=PATH        use popt files in PATH
+  --with-portaudio=PATH   use PortAudio files in PATH
   --with-pri=PATH         use ISDN PRI files in PATH
   --with-ss7=PATH         use ISDN SS7 files in PATH
   --with-pwlib=PATH       use PWlib files in PATH
@@ -8541,6 +8546,34 @@ fi
 
 
 
+    PGSQL_DESCRIP="PostgreSQL"
+    PGSQL_OPTION="postgres"
+
+# Check whether --with-postgres was given.
+if test "${with_postgres+set}" = set; then
+  withval=$with_postgres;
+       case ${withval} in
+       n|no)
+       USE_PGSQL=no
+       ;;
+       y|ye|yes)
+       ac_mandatory_list="${ac_mandatory_list} PGSQL"
+       ;;
+       *)
+       PGSQL_DIR="${withval}"
+       ac_mandatory_list="${ac_mandatory_list} PGSQL"
+       ;;
+       esac
+
+fi
+
+    PBX_PGSQL=0
+
+
+
+
+
+
     POPT_DESCRIP="popt"
     POPT_OPTION="popt"
 
@@ -8569,28 +8602,28 @@ fi
 
 
 
-    PGSQL_DESCRIP="PostgreSQL"
-    PGSQL_OPTION="postgres"
+    PORTAUDIO_DESCRIP="PortAudio"
+    PORTAUDIO_OPTION="portaudio"
 
-# Check whether --with-postgres was given.
-if test "${with_postgres+set}" = set; then
-  withval=$with_postgres;
+# Check whether --with-portaudio was given.
+if test "${with_portaudio+set}" = set; then
+  withval=$with_portaudio;
        case ${withval} in
        n|no)
-       USE_PGSQL=no
+       USE_PORTAUDIO=no
        ;;
        y|ye|yes)
-       ac_mandatory_list="${ac_mandatory_list} PGSQL"
+       ac_mandatory_list="${ac_mandatory_list} PORTAUDIO"
        ;;
        *)
-       PGSQL_DIR="${withval}"
-       ac_mandatory_list="${ac_mandatory_list} PGSQL"
+       PORTAUDIO_DIR="${withval}"
+       ac_mandatory_list="${ac_mandatory_list} PORTAUDIO"
        ;;
        esac
 
 fi
 
-    PBX_PGSQL=0
+    PBX_PORTAUDIO=0
 
 
 
 
 
 
+if test "x${PBX_PORTAUDIO}" != "x1" -a "${USE_PORTAUDIO}" != "no"; then
+   pbxlibdir=""
+   # if --with-PORTAUDIO=DIR has been specified, use it.
+   if test "x${PORTAUDIO_DIR}" != "x"; then
+      if test -d ${PORTAUDIO_DIR}/lib; then
+        pbxlibdir="-L${PORTAUDIO_DIR}/lib"
+      else
+        pbxlibdir="-L${PORTAUDIO_DIR}"
+      fi
+   fi
+   pbxfuncname="Pa_GetDeviceCount"
+   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
+      AST_PORTAUDIO_FOUND=yes
+   else
+      as_ac_Lib=`echo "ac_cv_lib_portaudio_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lportaudio" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -lportaudio... $ECHO_C" >&6; }
+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lportaudio ${pbxlibdir}  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ${pbxfuncname} ();
+int
+main ()
+{
+return ${pbxfuncname} ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_Lib=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Lib=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+ac_res=`eval echo '${'$as_ac_Lib'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+  AST_PORTAUDIO_FOUND=yes
+else
+  AST_PORTAUDIO_FOUND=no
+fi
+
+   fi
+
+   # now check for the header.
+   if test "${AST_PORTAUDIO_FOUND}" = "yes"; then
+      PORTAUDIO_LIB="${pbxlibdir} -lportaudio "
+      # if --with-PORTAUDIO=DIR has been specified, use it.
+      if test "x${PORTAUDIO_DIR}" != "x"; then
+        PORTAUDIO_INCLUDE="-I${PORTAUDIO_DIR}/include"
+      fi
+      PORTAUDIO_INCLUDE="${PORTAUDIO_INCLUDE} "
+      if test "xportaudio.h" = "x" ; then      # no header, assume found
+         PORTAUDIO_HEADER_FOUND="1"
+      else                             # check for the header
+         saved_cppflags="${CPPFLAGS}"
+         CPPFLAGS="${CPPFLAGS} ${PORTAUDIO_INCLUDE} "
+        if test "${ac_cv_header_portaudio_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for portaudio.h" >&5
+echo $ECHO_N "checking for portaudio.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_portaudio_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_portaudio_h" >&5
+echo "${ECHO_T}$ac_cv_header_portaudio_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking portaudio.h usability" >&5
+echo $ECHO_N "checking portaudio.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <portaudio.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking portaudio.h presence" >&5
+echo $ECHO_N "checking portaudio.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <portaudio.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: portaudio.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: portaudio.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: portaudio.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: portaudio.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: portaudio.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: portaudio.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: portaudio.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: portaudio.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: portaudio.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: portaudio.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: portaudio.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: portaudio.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: portaudio.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: portaudio.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: portaudio.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: portaudio.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to www.asterisk.org ##
+## ------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for portaudio.h" >&5
+echo $ECHO_N "checking for portaudio.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_portaudio_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_portaudio_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_portaudio_h" >&5
+echo "${ECHO_T}$ac_cv_header_portaudio_h" >&6; }
+
+fi
+if test $ac_cv_header_portaudio_h = yes; then
+  PORTAUDIO_HEADER_FOUND=1
+else
+  PORTAUDIO_HEADER_FOUND=0
+fi
+
+
+         CPPFLAGS="${saved_cppflags}"
+      fi
+      if test "x${PORTAUDIO_HEADER_FOUND}" = "x0" ; then
+         PORTAUDIO_LIB=""
+         PORTAUDIO_INCLUDE=""
+      else
+         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
+           PORTAUDIO_LIB=""
+        fi
+         PBX_PORTAUDIO=1
+         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_PORTAUDIO 1
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_PORTAUDIO_VERSION
+_ACEOF
+
+      fi
+   fi
+fi
+
+
+
 if test "x${PBX_PRI}" != "x1" -a "${USE_PRI}" != "no"; then
    pbxlibdir=""
    # if --with-PRI=DIR has been specified, use it.
@@ -48329,14 +48624,18 @@ for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
 OSS_DIR!$OSS_DIR$ac_delim
 PBX_OSS!$PBX_OSS$ac_delim
-POPT_LIB!$POPT_LIB$ac_delim
-POPT_INCLUDE!$POPT_INCLUDE$ac_delim
-POPT_DIR!$POPT_DIR$ac_delim
-PBX_POPT!$PBX_POPT$ac_delim
 PGSQL_LIB!$PGSQL_LIB$ac_delim
 PGSQL_INCLUDE!$PGSQL_INCLUDE$ac_delim
 PGSQL_DIR!$PGSQL_DIR$ac_delim
 PBX_PGSQL!$PBX_PGSQL$ac_delim
+POPT_LIB!$POPT_LIB$ac_delim
+POPT_INCLUDE!$POPT_INCLUDE$ac_delim
+POPT_DIR!$POPT_DIR$ac_delim
+PBX_POPT!$PBX_POPT$ac_delim
+PORTAUDIO_LIB!$PORTAUDIO_LIB$ac_delim
+PORTAUDIO_INCLUDE!$PORTAUDIO_INCLUDE$ac_delim
+PORTAUDIO_DIR!$PORTAUDIO_DIR$ac_delim
+PBX_PORTAUDIO!$PBX_PORTAUDIO$ac_delim
 PRI_LIB!$PRI_LIB$ac_delim
 PRI_INCLUDE!$PRI_INCLUDE$ac_delim
 PRI_DIR!$PRI_DIR$ac_delim
@@ -48420,10 +48719,6 @@ PBX_ZLIB!$PBX_ZLIB$ac_delim
 ZAPTEL_LIB!$ZAPTEL_LIB$ac_delim
 ZAPTEL_INCLUDE!$ZAPTEL_INCLUDE$ac_delim
 ZAPTEL_DIR!$ZAPTEL_DIR$ac_delim
-PBX_ZAPTEL!$PBX_ZAPTEL$ac_delim
-ZAPTEL_TRANSCODE_LIB!$ZAPTEL_TRANSCODE_LIB$ac_delim
-ZAPTEL_TRANSCODE_INCLUDE!$ZAPTEL_TRANSCODE_INCLUDE$ac_delim
-ZAPTEL_TRANSCODE_DIR!$ZAPTEL_TRANSCODE_DIR$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -48465,6 +48760,10 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+PBX_ZAPTEL!$PBX_ZAPTEL$ac_delim
+ZAPTEL_TRANSCODE_LIB!$ZAPTEL_TRANSCODE_LIB$ac_delim
+ZAPTEL_TRANSCODE_INCLUDE!$ZAPTEL_TRANSCODE_INCLUDE$ac_delim
+ZAPTEL_TRANSCODE_DIR!$ZAPTEL_TRANSCODE_DIR$ac_delim
 PBX_ZAPTEL_TRANSCODE!$PBX_ZAPTEL_TRANSCODE$ac_delim
 ZAPTEL_VLDTMF_LIB!$ZAPTEL_VLDTMF_LIB$ac_delim
 ZAPTEL_VLDTMF_INCLUDE!$ZAPTEL_VLDTMF_INCLUDE$ac_delim
@@ -48515,7 +48814,7 @@ CURL_CONFIG!$CURL_CONFIG$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 48; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 52; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5